gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. An attribute to specify tree node information of a class.

This attribute can be applied to a class which implements the interface to provide additional information about the node type to the which will contain the nodes.

In the following example, the class MyTreeNode is tagged as a tree node with 3 columns: `[TreeNode(ColumnCount=3)] public class MyTreeNode : ITreeNode { ... }`

System.Attribute System.AttributeUsageAttribute
- Constructor
  TreeNodeAttribute constructor
  a
  Instantiates a
- Property
  System.Int32 ColumnCount named value. a Specifies the number of columns the node exposes. A should be added to each of the properties of the class which represent the individual column values.